From 3a64c85c8d504e64c39ab5b4fa762dbc49570792 Mon Sep 17 00:00:00 2001
From: Naar <naar@tahy.ca>
Date: Tue, 3 Mar 2015 03:01:57 +0000
Subject: [PATCH 3/3] Compact HTML5 conditional markup

---
 wiki/src/templates/page.tmpl | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/wiki/src/templates/page.tmpl b/wiki/src/templates/page.tmpl
index 5aa0922..7c0f4b6 100644
--- a/wiki/src/templates/page.tmpl
+++ b/wiki/src/templates/page.tmpl
@@ -34,9 +34,9 @@
         <span class="slogan">The Amnesic Incognito Live System</span>
       </a>
     </div>
-    <TMPL_IF HTML5><article class="page"><TMPL_ELSE><div class="page"></TMPL_IF>
-      <TMPL_IF HTML5><section class="pageheader"><TMPL_ELSE><div class="pageheader"></TMPL_IF>
-        <TMPL_IF HTML5><header class="header"><TMPL_ELSE><div class="header"></TMPL_IF>
+    <TMPL_IF HTML5><article<TMPL_ELSE><div</TMPL_IF> class="page">
+      <TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> class="pageheader">
+        <TMPL_IF HTML5><header<TMPL_ELSE><div</TMPL_IF> class="header">
           <span>
             <span class="parentlinks">
               <ul id="crumbs">
@@ -54,7 +54,7 @@
           </TMPL_UNLESS>
         <TMPL_IF HTML5></header><TMPL_ELSE></div></TMPL_IF>
         <TMPL_IF HAVE_ACTIONS>
-        <TMPL_IF HTML5><nav class="actions"><TMPL_ELSE><div class="actions"></TMPL_IF>
+        <TMPL_IF HTML5><nav<TMPL_ELSE><div</TMPL_IF> class="actions">
           <ul>
             <TMPL_IF EDITURL>
             <TMPL_IF NAME="ISTRANSLATION"><TMPL_ELSE><li><a href="<TMPL_VAR EDITURL>" rel="nofollow">Edit</a></li></TMPL_IF>
@@ -74,7 +74,7 @@
         <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
         </TMPL_IF>
         <TMPL_IF OTHERLANGUAGES>
-        <TMPL_IF HTML5><nav id="otherlanguages"><TMPL_ELSE><div id="otherlanguages"></TMPL_IF>
+        <TMPL_IF HTML5><nav<TMPL_ELSE><div</TMPL_IF> id="otherlanguages">
           <ul>
             <TMPL_IF ISTRANSLATABLE><li class="current master"><span><TMPL_VAR LANG_NAME></span></li><TMPL_ELSE>
             <li class="current">
@@ -98,7 +98,7 @@
       <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
       <TMPL_UNLESS DYNAMIC>
       <TMPL_IF SIDEBAR>
-      <TMPL_IF HTML5><aside class="sidebar" role="navigation"><TMPL_ELSE><div class="sidebar" role="navigation"></TMPL_IF>
+      <TMPL_IF HTML5><aside<TMPL_ELSE><div</TMPL_IF> class="sidebar" role="navigation">
         <TMPL_VAR SIDEBAR>
       <TMPL_IF HTML5></aside><TMPL_ELSE></div></TMPL_IF>
       </TMPL_IF>
@@ -108,7 +108,7 @@
             <TMPL_VAR CONTENT>
         <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
         <TMPL_IF ENCLOSURE>
-        <TMPL_IF HTML5><section id="enclosure"><TMPL_ELSE><div id="enclosure"></TMPL_IF>
+        <TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> id="enclosure">
           <a href="<TMPL_VAR ENCLOSURE>">Download</a>
         <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
         </TMPL_IF>
@@ -128,16 +128,16 @@
       </div>
       <TMPL_IF HTML5><footer<TMPL_ELSE><div</TMPL_IF> id="footer" class="pagefooter" role="contentinfo">
         <TMPL_UNLESS DYNAMIC>
-        <TMPL_IF HTML5><nav id="pageinfo"><TMPL_ELSE><div id="pageinfo"></TMPL_IF>
+        <TMPL_IF HTML5><nav<TMPL_ELSE><div</TMPL_IF> id="pageinfo">
           <TMPL_VAR TRAILS>
           <TMPL_IF TAGS>
-          <TMPL_IF HTML5><nav class="tags"><TMPL_ELSE><div class="tags"></TMPL_IF>
+          <TMPL_IF HTML5><nav<TMPL_ELSE><div</TMPL_IF> class="tags">
             Tags:
             <TMPL_LOOP TAGS><TMPL_VAR LINK></TMPL_LOOP>
             <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
           </TMPL_IF>
           <TMPL_IF BACKLINKS>
-          <TMPL_IF HTML5><nav id="backlinks"><TMPL_ELSE><div id="backlinks"></TMPL_IF>
+          <TMPL_IF HTML5><nav<TMPL_ELSE><div</TMPL_IF> id="backlinks">
             Pages linking to this one:
             <TMPL_LOOP BACKLINKS><a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a></TMPL_LOOP>
             <TMPL_IF MORE_BACKLINKS>
-- 
1.9.1

